<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    tools:context=".ChangePasswordActivity" >

    <!-- Login progress -->

    <LinearLayout
        android:id="@+id/login_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:visibility="gone" >

        <ProgressBar
            style="?android:attr/progressBarStyleLarge"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="8dp" />

        <TextView
            android:id="@+id/login_status_message"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:text="Connecting..."
            android:textAppearance="?android:attr/textAppearanceMedium" />
    </LinearLayout>

    <!-- Login form -->

    <ScrollView
        android:id="@+id/login_form"
        android:layout_width="match_parent"
        android:layout_height="match_parent" >

        <LinearLayout
            style="@style/LoginFormContainer"
            android:orientation="vertical" >

            <EditText
                android:id="@+id/old_password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Old password"
                android:imeActionId="@+id/login"
                android:imeActionLabel="@string/action_sign_in_short"
                android:imeOptions="actionUnspecified"
                android:inputType="textPassword"
                android:maxLines="1"
                android:singleLine="true"
                android:text="" />

            <EditText
                android:id="@+id/new_password"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="New password"
                android:imeActionId="@+id/login"
                android:imeActionLabel="@string/action_sign_in_short"
                android:imeOptions="actionUnspecified"
                android:inputType="textPassword"
                android:maxLines="1"
                android:singleLine="true"
                android:text="" />

            <EditText
                android:id="@+id/new_password_confirm"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Confirm new password"
                android:imeActionId="@+id/login"
                android:imeActionLabel="@string/action_sign_in_short"
                android:imeOptions="actionUnspecified"
                android:inputType="textPassword"
                android:maxLines="1"
                android:singleLine="true"
                android:text="" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <Button
                    android:id="@+id/btn_close"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:layout_weight="1"
                    android:paddingLeft="32dp"
                    android:paddingRight="32dp"
                    android:text="Close" />

                <Button
                    android:id="@+id/btn_ok"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:layout_weight="1"
                    android:paddingLeft="32dp"
                    android:paddingRight="32dp"
                    android:text="Ok" />

            </LinearLayout>
        </LinearLayout>
    </ScrollView>

</merge>